Skip to main content
GET
/
compute
/
script
/
{id}
Get Edge Script
curl --request GET \
  --url https://api.bunny.net/compute/script/{id} \
  --header 'AccessKey: <api-key>'
import requests

url = "https://api.bunny.net/compute/script/{id}"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://api.bunny.net/compute/script/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "Id": 123,
  "Name": "<string>",
  "LastModified": "2023-11-07T05:31:56Z",
  "CurrentReleaseId": 123,
  "EdgeScriptVariables": [
    {
      "Id": 123,
      "Name": "<string>",
      "Required": true,
      "DefaultValue": "<string>"
    }
  ],
  "Deleted": true,
  "LinkedPullZones": [
    {
      "Id": 123,
      "PullZoneName": "<string>",
      "DefaultHostname": "<string>"
    }
  ],
  "Integration": {
    "IntegrationId": 123,
    "RepositorySettings": {
      "Id": 123,
      "Name": "<string>",
      "Private": true,
      "TemplateUrl": "<string>"
    },
    "DeployConfiguration": {
      "Branch": "<string>",
      "InstallCommand": "<string>",
      "BuildCommand": "<string>",
      "EntryFile": "<string>",
      "CreateWorkflow": true
    }
  },
  "DefaultHostname": "<string>",
  "SystemHostname": "<string>",
  "DeploymentKey": "<string>",
  "RepositoryId": 123,
  "IntegrationId": 123,
  "MonthlyCost": 123,
  "MonthlyRequestCount": 123,
  "MonthlyCpuTime": 123
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

id
integer<int64>
required

The ID of the script that will be returned

Response

The script with the requested ID

Id
integer<int64>
Name
string | null
LastModified
string<date-time>
ScriptType
enum<integer>

0 = DNS 1 = CDN 2 = Middleware

Available options:
0,
1,
2
CurrentReleaseId
integer<int64>
EdgeScriptVariables
object[] | null
Deleted
boolean
LinkedPullZones
object[] | null
Integration
object | null
DefaultHostname
string | null
SystemHostname
string | null
DeploymentKey
string | null
RepositoryId
integer<int64> | null
IntegrationId
integer<int64> | null
MonthlyCost
number<decimal>
MonthlyRequestCount
integer<int64>
MonthlyCpuTime
integer<int64>
Last modified on July 11, 2026